%def_disable static

Name: clalsadrv
Version: 1.0.0
Release: alt1.1

Summary: ALSA driver C++ access library
Group: System/Libraries
License: LGPL
Url: http://users.skynet.be/solaris/linuxaudio/

Source: %url/download/%name-%version.tar.bz2
Patch: %name-1.0.0-alt-makefile.patch

# Automatically added by buildreq on Fri Sep 24 2004
BuildRequires: gcc-c++ libalsa-devel libstdc++-devel

%description
ALSA driver C++ access library

%package -n lib%name
Summary: ALSA driver C++ access library
Group: System/Libraries

%description -n lib%name
ALSA driver C++ access library

%package -n lib%name-devel
Summary: Development files for %name
Group: Development/C++
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package provides %name library development files.

%if_enabled static
%package -n lib%name-devel-static
Summary: Static version of %name library
Group: Development/C++
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package provides static version of %name library.
%endif

%prep
%setup -q 
%patch -p1

%build
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%_libdir/*.so.*
%doc AUTHORS

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so

%if_enabled static
%files -n lib%name-devel-static
%_libdir/*.a
%endif

%changelog
* Tue Jan 18 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.0.0-alt1.1
- Rebuilt with libstdc++.so.6.

* Fri Sep 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1
- First build for Sisyphus.
